<div class="container-form">
  <form
    class="d-flex flex-column"
    [formGroup]="loginForm"
    (ngSubmit)="onSubmit()"
  >
    <div class="form-header">
      <p class="welcome">Welcome</p>
      <p class="to-tesa-by-bts">to <span>TESA</span> by <span>BTS.id</span></p>
    </div>
    <div class="group row">
      <label for="email">Email</label>
      <mat-form-field appearance="outline">
        <input
          matInput
          type="text"
          formControlName="email"
          placeholder="example@email.com"
          class="input-frame"
          required
        />
        <mat-error *ngIf="loginForm.get('email')?.hasError('required')">
          Email cannot be empty
        </mat-error>
      </mat-form-field>
    </div>
    <div class="group row">
      <label for="password">Password</label>
      <mat-form-field appearance="outline">
        <input
          matInput
          formControlName="password"
          [type]="hide ? 'password' : 'text'"
          placeholder="••••••••••••"
          class="input-frame"
          required
        />
        <mat-error *ngIf="loginForm.get('password')?.hasError('required')">
          Password cannot be empty
        </mat-error>
        <button
          mat-icon-button
          matSuffix
          (click)="hide = !hide"
          [attr.aria-label]="'Hide password'"
          [attr.aria-pressed]="hide"
          name="password"
        >
          <mat-icon>{{ hide ? "visibility_off" : "visibility" }}</mat-icon>
        </button>
      </mat-form-field>
      <a class="forgot-password">Forgot Password</a>
    </div>
    <div class="row mt-auto">
      <button mat-flat-button class="button-sign-in">Sign in</button>
      <button mat-flat-button class="button-sign-in-google">
        <mat-icon class="custom-google" svgIcon="google"></mat-icon>
        Sign in with Google
      </button>
    </div>
  </form>
</div>
